/*** Note to Kat: Needs a bit of coding completion -- search for "pantaloons" ***/

/* Fighters */
APPEND BIMOEN2
	IF ~Global("MRClassTalk","LOCALS",0)
	InPartySlot(LastTalkedToBy,0) 
	GlobalGT("Chapter","GLOBAL",%bg2_chapter_3%)
		!StateCheck(Player1,CD_STATE_NOTVALID)
		!StateCheck(Myself,CD_STATE_NOTVALID)
		InParty("Imoen2")
		See(Player1)
		!ActuallyInCombat()
		OR(7)
		Class(Player1,FIGHTER)
		Class(Player1,FIGHTER_MAGE)
		Class(Player1,FIGHTER_CLERIC)
		Class(Player1,FIGHTER_THIEF)
		Class(Player1,FIGHTER_DRUID)
		Class(Player1,FIGHTER_MAGE_THIEF)
		Class(Player1,FIGHTER_MAGE_CLERIC)~ THEN BEGIN MRClassFighter
		SAY ~Magic is *so* much more elegant and effective than weaponry, dontcha think?~
		IF ~IsValidForPartyDialog("Minsc")~THEN DO ~SetGlobal("MRClassTalk","LOCALS",1)~ EXTERN BMINSC MRClassFighter
		IF ~IsValidForPartyDialog("Korgan")~ THEN DO ~SetGlobal("MRClassTalk","LOCALS",1)~ EXTERN BKORGAN MRClassFighter
		IF ~!IsValidForPartyDialog("Minsc") !IsValidForPartyDialog("Korgan")~ THEN REPLY ~Magic is definitely superior. Nothing beats a well-aimed fireball.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassFighterMagic
		IF ~!IsValidForPartyDialog("Minsc") !IsValidForPartyDialog("Korgan")~ THEN REPLY ~No one's ever won a war with magic alone. I trust muscle and steel.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassFighterMelee
		IF ~!IsValidForPartyDialog("Minsc") !IsValidForPartyDialog("Korgan")~ THEN REPLY ~(Sigh) Don't you have better things to do than bother me?~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassFighterRude
	END

	IF ~~ THEN BEGIN MRClassFighter1
		SAY ~Yes, yes. But I'm asking <CHARNAME>.~
		++ ~Magic is definitely superior. Nothing beats a well-aimed fireball.~ GOTO MRClassFighterMagic
		++ ~No one's ever won a war with magic alone. I trust muscle and steel.~ GOTO MRClassFighterMelee
		++ ~(Sigh) Don't you have better things to do than bother me?~ GOTO MRClassFighterRude
	END

	IF ~~ THEN BEGIN MRClassFighterRude
		SAY ~(She frowns at you) Yeah, I do, actually. Excuse me for tryin' to make conversation.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassFighterMagic
		SAY ~Really? (She blinks in surprise) Then why d'ya insist on carryin' around that skull-cracker of yours?~
		++ ~(Twirl it around) It's for show. Neat, huh?~ GOTO MRClassFighterFunny
		++ ~For intimidation! (Strike an impressive pose) En garde!~ + MRClassFighterFunny
		++ ~If magic isn't enough - and sometimes it isn't - then I want a good backup.~ + MRClassFighterBackup
		++ ~(Look at your weapon in confusion) Uh... good question. Why *am* I carrying this?~ + MRClassFighterFunny
	END

	IF ~~ THEN BEGIN MRClassFighterFunny
		SAY ~(She laughs) Okay, okay, I get the point, goofball. Well, you enjoy your whole slashy-bashy thing, and I'll stick to being the ubermage extraordinaire.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassFighterBackup
		SAY ~I love it when we think alike.~
		=
		~I'm all for magic, but sometimes an arrow in the back is just the best solution. And the most satisfying one.~
		IF ~!Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~Damn right it is.~ GOTO MRClassFighterArrow
		IF ~Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~Damn right it is.~ GOTO MRClassFighterArrow2
		++ ~A bit bloodthirsty today, Im?~ + MRClassFighterBlood
		++ ~Actually, we don't have time for this.~ GOTO MRClassFighterExit
	END

	IF ~~ THEN BEGIN MRClassFighterExit
		SAY ~Fine, fine. We'll talk later then.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassFighterBlood
		SAY ~Bloodthirsty? Me? C'mon, I'm about as bloodthirsty as a newborn lamb.~
		=
		~But if it's gonna make you uncomfortable, I'll drop the subject.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassFighterArrow
		SAY ~See? I'm right! (She flashes you a smile) So glad you agree with me.~
		=
		~Y'know, an ordinary <PRO_BROTHERSISTER> would have a problem with me being the smart one.~
		=
		~Lucky for us you aren't ordinary, huh? (She winks at you and continues walking, humming happily to herself.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassFighterArrow2
		SAY ~(She flashes you a smile) So glad you agree with me.~
		=
		~Y'know, most ordinary <PRO_GIRLBOY>friends would have a problem with their partner being the brains of the outfit.~
		=
		~Lucky for me you aren't ordinary, huh? (She winks at you and gives your butt a slap before continuing on, humming happily.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassFighterMelee
		SAY ~I knew ya'd say that. But c'mon, dontcha think magic is stronger? A single 'hold person' or 'web' or something, and a fighter's screwed.~
		++ ~Maybe, but can you cast it before I get my hands on you?~ GOTO MRClassFighterMeleeFight
		++ ~Well, I just hope they don't cast that.~ GOTO MRClassFighterMeleeHope
		++ ~Bah! Shut up! (Plug your ears and begin singing 'la-la-la-la' as loud as you can.)~ GOTO MRClassFighterMeleeShut
	END

	IF ~~ THEN BEGIN MRClassFighterMeleeFight
		SAY ~Hrm. Well, if you're going toe-to-toe, I can hit ya with like twenty spells while you're still fifty feet away.~
		=
		~But I guess if you've got a bow or something, you might be able to hit me.~
		=
		~Assuming I don't have stoneskins, protection from missiles, or any other protections up.~
		=
		~(She winks at you) It's cute that you think you'd win, though. Everyone's gotta have their illusions.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassFighterMeleeHope
		SAY ~Yeah, great strategy. "Oh, please oh mighty mage, don't use any spells that might actually be USEFUL against me."~
		=
		~How the heck have you lived so long with such a tiny little brain?~
		++ ~It hasn't been easy, that's for sure.~ GOTO MRClassFighterMeleeHope1
		++ ~My brain isn't tiny! It's large. Well, medium-large. Medium?~ GOTO MRClassFighterMeleeHope2
		++ ~'Cause I have such a big-~ + MRClassFighterMeleeHope3
	END

	IF ~~ THEN BEGIN MRClassFighterMeleeHope1
		SAY ~I know. I've been saving your butt since the day we met.~
		=
		~Let's just forget I asked, 'kay?~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassFighterMeleeHope2
		SAY ~You wish. I've met golems with more common sense than you.~
		=
		~Just forget I asked, really.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassFighterMeleeHope3
		SAY ~Oh, don't even! You are *such* a pervert! Get away from me!~
			++ ~I was going to say 'shield'! Honest!~ GOTO MRClassFighterMeleeHope4
			IF ~Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~I thought you liked it! You love it when I talk dirty in bed!~ GOTO MRClassFighterMeleeHope4
			IF ~!Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~You say 'pervert', I say 'charming'.~ GOTO MRClassFighterMeleeHope4
	END

	IF ~~ THEN BEGIN MRClassFighterMeleeHope4
		SAY ~(She flips you a rude gesture and keeps walking, but you *think* you might have seen the beginnings of a smile before she turned away.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassFighterMeleeShut
		SAY ~<CHARNAME>? <CHARNAME>! HEY!~
		=
		~(She sighs when it's clear that you aren't going to listen.)~
		=
		~"Yes, Imoen. Good point, Imoen. You're so wise, Imoen."~
		IF ~~ THEN EXIT
	END
END

APPEND BMINSC
	IF ~~ THEN BEGIN MRClassFighter
		SAY ~Boo says nothing is more important than a good, sharp sword!~
		=
		~Or good, sharp teeth, in Boo's case.~
		IF ~~ THEN EXTERN BIMOEN2 MRClassFighter1
	END
END

APPEND BKORGAN
	IF ~~ THEN BEGIN MRClassFighter
		SAY ~If ye be thinkin' that yer muttered mumbo-jumbo be better than me axe, then the magic's fried yer brains.~
		IF ~~ THEN EXTERN BIMOEN2 MRClassFighter1
	END
END

/* Paladins and Clerics */

APPEND BIMOEN2
	IF ~
	Global("MRClassTalk","LOCALS",0)
	InPartySlot(LastTalkedToBy,0) 
	GlobalGT("Chapter","GLOBAL",%bg2_chapter_3%)
	!StateCheck(Player1,CD_STATE_NOTVALID)
 !StateCheck(Myself,CD_STATE_NOTVALID)
	InParty("Imoen2")
	See(Player1)
	!ActuallyInCombat()
	OR(7)
	Class(Player1,PALADIN)
	Class(Player1,FIGHTER_CLERIC)
	Class(Player1,FIGHTER_MAGE_CLERIC)
	Class(Player1,CLERIC_RANGER)
	Class(Player1,CLERIC_THIEF)
	Class(Player1,CLERIC_MAGE)
	Class(Player1,CLERIC)~ THEN BEGIN MRClassHoly
		SAY ~Y'know, of all people, I always figured you'd be the last to get all religious and stuff.~
		=
		~I don't remember you bein' all crazy about the Gods back in Candlekeep.~
		IF ~~ THEN REPLY ~Well, no. I discovered faith later.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassHolyLater
		IF ~~ THEN REPLY ~Heh. You don't remember because *you* always skipped the services.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassHolySkipped
		IF ~Class(Player1,PALADIN)~ THEN REPLY ~You make having faith sound like a bad thing.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassHolyBadPal
		IF ~!Class(Player1,PALADIN)~ THEN REPLY ~You make having faith sound like a bad thing.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassHolyBadCler
		IF ~~ THEN REPLY ~If you're going to take that tone, then save your breath and shut up.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassHolyRude
	END

	IF ~~ THEN BEGIN MRClassHolyLater
		SAY ~Really? I musta missed it between solving the Iron Shortage, dodging assassins, killing Sarevok, and all that.~ 
		IF ~~ THEN GOTO MRClassHolyBhaal
	END

	IF ~~ THEN BEGIN MRClassHolySkipped
		SAY~Hah! True. And thanks a million for never rattin' me out to Mister G, by the way.~ 
		IF ~~ THEN GOTO MRClassHolyBhaal
	END

	IF ~~ THEN BEGIN MRClassHolyBadPal
		SAY ~Well... I mean, it's not really my thing, but you seem happy with it.~
		= ~But you as a paladin? I sure didn't see *that* coming when we were kids.~
		++ ~I discovered my faith as an adult - after we'd left Candlekeep.~ GOTO MRClassHolyLater
		++ ~I loved the prayers and rituals even when I was young. You just don't remember because *you* always skipped the services.~ GOTO MRClassHolySkipped
		++ ~If you're going to so negative, then save your breath and shut up.~ GOTO MRClassHolyRude
	END
	
		IF ~~ THEN BEGIN MRClassHolyBadCler
		SAY ~Well... I mean, it's not really my thing, but you seem happy with it.~
		= ~But you as a cleric? I sure didn't see *that* coming when we were kids.~
		++ ~I discovered my faith as an adult - after we'd left Candlekeep.~ GOTO MRClassHolyLater
		++ ~I loved the prayers and rituals even when I was young. You just don't remember because *you* always skipped the services.~ GOTO MRClassHolySkipped
		++ ~If you're going to so negative, then save your breath and shut up.~ GOTO MRClassHolyRude
	END

	IF ~~ THEN BEGIN MRClassHolyRude
		SAY ~Hmph. That is *exactly* why I don't like religious fanatics.~
		IF ~~ THEN EXIT
	END

	IF~~ THEN BEGIN MRClassHolyBhaal
		SAY ~But... you're a child of Bhaal. We both are. Doesn't it feel weird worshipping beings that're our aunts and uncles, metaphorically speakin'?~
		=
		~What if people start worshipping *us*? We're half divine.~
		++ ~We might be half divine, but we're still barely a spark compared to the true Gods.~ + MRClassHolyWeak
		++ ~If the Gods deem us worthy to join them, then perhaps someday people will.~ GOTO MRClassHolyGod
		++ ~Not 'if' - 'when'. I fully intend to take my place among the Gods.~ GOTO MRClassHolyGod
		++ ~And so what if they do? Would that bother you?~ GOTO MRClassHolyCorrupt
		++ ~I don't question the Gods, I just follow them. Which is what you should do, if you know what's good for you.~ GOTO MRClassHolyRude
	END

	IF ~~ THEN BEGIN MRClassHolyWeak
		SAY ~True, I guess. Real gods could just be like *ZAP!* and solve the whole Irenicus problem right then and there.~
		IF ~OR(3)
		PartyHasItem("MISC47")
		PartyHasItem("MISCCB")
		PartyHasItem("MISC5O")~ THEN GOTO MRClassHolyEE
		IF ~!PartyHasItem("MISC47")
		!PartyHasItem("MISCCB")
		!PartyHasItem("MISC5O")~ THEN GOTO MRClassHolyNE
	END

	IF ~~ THEN BEGIN MRClassHolyEE
		SAY ~Just Control-Y his ass.~ 
		IF ~~ THEN GOTO MRClassHolyNE
	END

	IF ~~ THEN BEGIN MRClassHolyNE
		SAY ~But yeah... if wishes were horses, beggars would ride. (She sighs wistfully) Ah well. Let's go.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassHolyGod
		SAY ~You'd wanna be a god? Seriously? But... but what about me?~
		IF ~NumInParty(2)~ THEN REPLY ~I'll take you with me, of course!~ GOTO MRClassHolyNice
		IF ~NumInPartyGT(2)~ THEN REPLY ~Well, I'll take *you* with me, of course. Anyone else is on their own - but they could always start the very first Temple of <CHARNAME>!~ GOTO MRClassHolyNice
		++ ~Who cares? I'm the important one here!~ GOTO MRClassHolyRude
	END

	IF ~~ THEN BEGIN MRClassHolyNice
		SAY ~You better! If you think you're leavin' me behind down here while you go adventurin' 'round the Multiverse, you are SO wrong.~
		=
		~Still, we'll talk about that when and if Ao offers ya a job.~
		=
		~(She makes a small sound of amusement under her breath) Like that'll ever happen.~
		IF~~ THEN DO ~SetGlobal("MRAscendPromise","GLOBAL",1) ~ EXIT
	END

	IF ~~THEN BEGIN MRClassHolyCorrupt
		SAY ~If people started prayin' to me? Of course that'd bother me! I'm no god - I'm just Imoen.~
		=
		~Sure, I act like I'm all that, but deep down I'm just a regular person, y'know?~
		IF ~CheckStatGT(Player1,16,CHR)~ THEN REPLY ~You're a daughter of the God of Murder. You have power that others can only dream of, flowing through your veins.~ GOTO MRClassHolyCorruptY
		IF ~!CheckStatGT(Player1,16,CHR) !CheckStatGT(Player1,"GLOBAL",4)~ THEN REPLY ~You're a daughter of the God of Murder. You have power that others can only dream of, flowing through your veins.~ GOTO MRClassHolyCorruptN
		IF ~!CheckStatGT(Player1,16,CHR)~ THEN REPLY ~You're a daughter of the God of Murder. You have power that others can only dream of, flowing through your veins.~ GOTO MRClassHolyCorruptN
		IF ~CheckStatGT(Player1,14,CHR)~ THEN REPLY ~We aren't ordinary, Imoen. Think of everything you could do if you were a God. All the things you could change. The lives you could affect.~ GOTO MRClassHolyCorrupt1Y
		IF ~!CheckStatGT(Player1,14,CHR)~ THEN REPLY ~We aren't ordinary, Imoen. Think of everything you could do if you were a God. All the things you could change. The lives you could affect.~ GOTO MRClassHolyCorrupt1N
		++ ~You're right. You're too weak and blind to deserve that kind of power.~ GOTO MRClassHolyRude
		IF ~Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~You're right. And I love you just the way you are.~ GOTO MRClassHolyJoke1
		IF ~Gender(Player1,MALE)~ THEN REPLY ~You're right. And I'd *never* get away from your pranks if you were a god.~ GOTO MRClassHolyJoke2M
		IF ~Gender(Player1,FEMALE)~ THEN REPLY ~You're right. And I'd *never* get away from your pranks if you were a god.~ GOTO MRClassHolyJoke2F
	END

	IF ~~ THEN BEGIN MRClassHolyJoke1
		SAY ~Awww... you're so sweet. Predictable, but sweet. (She rewards you with a warm kiss on the cheek) C'mon, lover. All this talk about gods is making me bored.~
		=
		~Um, not that you're boring or anything. Really. You're not.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassHolyJoke2M
		SAY ~Darn right you wouldn't, mister!~
		=
		~Although, now that ya mention that, bein' a god *would* have its upsides...~
		IF ~~ THEN EXIT
	END
	IF ~~ THEN BEGIN MRClassHolyJoke2F
		SAY ~Darn right you wouldn't, lady!~
		=
		~Although, now that ya mention that, bein' a god *would* have its upsides...~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassHolyCorruptN
		SAY ~You sound - (She suddenly shivers as a chill runs through her. Imoen hugs her arms across her body) You sound like Irenicus.~
		=
		~(She glances at you. Her gaze is worried, even scared) Don't say that again, <CHARNAME>. Ever.~
		=
		~(Quickening her step, she quickly puts distance between you.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassHolyCorrupt1N
		SAY ~Yeah. Y'know, Bhaal was mortal once, too. So were Bane, Myrkul, and who knows how many others. Look at all the good they all did.~
		=
		~No, no thanks. You can keep all your 'power'. I'd rather live my life down here.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassHolyCorruptY
		SAY ~(She falls silent, her lips pursing into a small, tight circle. Although she looks at you for a few seconds more, she then looks away.)~
		=
		~I don't like it when you say things like that.~
		++ ~I'm sorry. ~ GOTO MRClassHolyCorruptFinal1
		++ ~Why not? It's true.~ + MRClassHolyCorruptFinal2
		++ ~Bah. This is a waste of time.~ + MRClassHolyCorruptFinal
	END

	IF ~~ THEN BEGIN MRClassHolyCorruptFinal1
		SAY ~Are you?~ 
		IF ~~ THEN GOTO MRClassHolyCorruptFinal
	END

	IF ~~ THEN BEGIN MRClassHolyCorruptFinal2
		SAY ~Is it?~ 
		IF ~~ THEN GOTO MRClassHolyCorruptFinal
	END

	IF ~~ THEN BEGIN MRClassHolyCorruptFinal
		SAY ~Just... just stay away from me for a while.~
		=
		~(She quickens her step, putting distance between you.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassHolyCorrupt1Y
		SAY ~Hrmph. Well, maybe. We'll talk about that when and if Ao offers me a job.~
		=
		~(She makes a small sound of amusement under her breath) Like that'll ever happen.~
		IF ~~ THEN EXIT
	END


/* Rangers and Druids */

	IF ~
	Global("MRClassTalk","LOCALS",0)
	InPartySlot(LastTalkedToBy,0)
GlobalGT("Chapter","GLOBAL",%bg2_chapter_3%)	
	!StateCheck(Player1,CD_STATE_NOTVALID)
 !StateCheck(Myself,CD_STATE_NOTVALID)
	InParty("Imoen2")
	See(Player1)
	!ActuallyInCombat()
	AreaType(FOREST)
	OR(5)
	Class(Player1,CLERIC_RANGER)
	Class(Player1,RANGER)
	Class(Player1,DRUID)
	Class(Player1,FIGHTER_DRUID)~ THEN BEGIN MRClassNature
		SAY ~Thank Mystra we're back above ground again.~
		=
		~I've missed this. Blue skies, green grass, little fluffy squirrels - I've missed all of it.~
		=
		~(She abruptly grimaces and slaps her hand quickly to the side of her neck) 'Cept for mosquitoes.~
		IF ~~ THEN REPLY ~Don't kill it! (Grab her hand and yank it away before she can squish it.)~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassNatureDont
		IF ~~ THEN REPLY ~Mosquitoes, bed bugs, tapeworms... I'd kill'em all if I could.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassNatureKill
		IF ~~ THEN REPLY ~Every creature in Nature has a place - even the annoying ones.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassNaturePlace
		IF ~~ THEN REPLY ~(Ignore her.)~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ EXIT
	END

	IF ~~ THEN BEGIN MRClassNatureDont
		SAY ~Hey! (You startle her with your sudden movement; she jerks her hand away) What in the Nine Hells are you doing, you nut?~
		++ ~You can't kill it! That's my pet miniature interplanar thin-winged dragon-stirge!~ + MRClassNatureCrazy
		++ ~Every creature in Nature has a place, even the annoying ones. They have a right to exist.~ + MRClassNaturePlace
	END


	IF ~~ THEN BEGIN MRClassNatureKill
		SAY ~Yeah! Er... uh... you would?~
		=
		~Isn't there some tree-huggy nature-<PRO_GIRLBOY> rule against that?~
		++ ~Yes, but it only applies to cute fuzzy things like bunnies and baby ducklings.~ GOTO MRClassNatureJoke
		++ ~Nature is a cruel mistress. Some must die so that others may live.~ GOTO MRClassNaturePlace
		++ ~If you don't tell, I won't!~ GOTO MRClassNatureJoke
		++ ~I was just kidding. Every creature in Nature has a place - even the annoying ones.~ GOTO MRClassNaturePlace
	END

	IF ~~ THEN BEGIN MRClassNatureJoke
		SAY ~Now you're talkin'! Death to all the ugly, buzzy, slimy, crawly things!~ 
		IF ~~ THEN GOTO MRClassNaturePlace
	END

	IF ~~ THEN BEGIN MRClassNaturePlace
		SAY ~I get the whole 'circle of life' thing, but c'mon - name one *good* thing a mosquito does!~
		++ ~They, uh. Well, I mean they... they must... hrm. (Scratch your head, thoroughly stumped.)~ GOTO MRClassNatureStumped
		++ ~They're a valuable part of the lifecycle of several parasitic organisms, like tapeworms and botflies.~ GOTO MRClassNatureParasite
		++ ~They spread all sorts of diseases, like red fever and fisherman's rot.~ GOTO MRClassNatureParasite
		++ ~Many animals feed on mosquitos. If we had no mosquitos, those animals would die.~ GOTO MRClassNaturePoint
	END

	IF ~~ THEN BEGIN MRClassNaturePoint
		SAY ~Okay, point, I guess. But they could eat other bugs, right?~
		=
		~Anyways, let's keep walkin' before these things eat me alive, 'kay?~
		=
		~(She walks away, swatting irately at another small, winged pest. Apparently your explanation didn't do much to change her mind.)~
		IF ~~ THEN EXIT	
	END

	IF ~~ THEN BEGIN MRClassNatureParasite
		SAY ~You sure have a weird definition of 'good'.~
		++ ~It kills off the sick and the weak - leaving the strong and the healthy to produce better progeny.~ GOTO MRClassNatureOkay
		++ ~It holds various animal populations in control, so that no one species can throw Nature of out its delicate balance.~ GOTO MRClassNatureOkay
		++ ~The grosser something is, the more I like it!~ GOTO MRClassNatureStumped
		++ ~Well, okay, so maybe they don't *really* do anything 'good'...~ GOTO MRClassNatureStumped
	END

	IF ~~ THEN BEGIN MRClassNatureOkay
		SAY ~... Right.~
		=
		~And on that note, let's keep walkin' before these things eat me alive, 'kay?~
		=
		~(She walks away, swatting irately at another small, winged pest. Apparently your explanation didn't do much to change her mind.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassNatureStumped
		SAY ~Hah! Figures!~
		=
		~Nice try, <PRO_LADYLORD> Dances-with-Mushrooms. Now how 'bout we keep walking before these things eat me alive?~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassNatureCrazy
		SAY ~(She looks at you, one eyebrow arching up high) Your miniature...thin-winged... dragon-stirge?~
		++ ~Miniature *interplanar* thin-winged dragon-stirge!~ GOTO MRClassNatureCrazy2
		++ ~Okay, okay. So it's a mosquito. But it COULD have been a miniature thin-winged dragon-stirge!~ GOTO MRClassNatureCrazy2
	END

	IF ~~ THEN BEGIN MRClassNatureCrazy2
		SAY ~Uh... I'm just gonna... not talk to you for a while, 'kay?~
		=~(She quickly puts distance between the two of you.)~
		IF ~~ THEN DO ~RunAwayFrom(Player1,40) ~ EXIT
	END
	
/* Bards */

	IF ~Global("MRClassTalk","LOCALS",0) 
	InPartySlot(LastTalkedToBy,0)
	GlobalGT("Chapter","GLOBAL",%bg2_chapter_3%)
	!StateCheck(Player1,CD_STATE_NOTVALID)
 !StateCheck(Myself,CD_STATE_NOTVALID)
	InParty("Imoen2")
	See(Player1)
	!ActuallyInCombat()
	Class(Player1,BARD)~ THEN BEGIN MRClassBard
		SAY ~Hey.~
		=
		~(Imoen slides over next to you and pokes you in the ribs.)~
		=
		~I'm bored. Sing something.~
		++ ~When did I become your personal one-<PRO_MANWOMAN> band?~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassBardWhen
		++ ~No.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassBardNo
		++ ~Elven or dwarven? Classical or modern? Love song, dirge, sea shanty, folk song...?~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassBardChoice
	END

	IF ~~ THEN BEGIN MRClassBardNo
		SAY ~C'mon! Pleeeeeeeease? You're the only one of us who can carry a tune.~
		IF ~InParty("HaerDalis")~ THEN REPLY ~What are you talking about? Haer'Dalis can sing. Ask him to do it.~ GOTO MRClassBardHaer
		IF ~Global("MRCampfireMusic","GLOBAL",4)~ THEN REPLY ~Why don't you sing? You sang quite well at the campfire.~ GOTO MRClassBardYou1
		IF ~!Global("MRCampfireMusic","GLOBAL",4)~ THEN REPLY ~Why don't you sing? You have a lovely voice.~ GOTO MRClassBardYou2
		++ ~Elven or dwarven? Classical or modern? Love song, dirge, sea shanty, folk song...?~ GOTO MRClassBardChoice
		++ ~No! Leave me alone!~ GOTO MRClassBardNo2
	END
	
	IF ~~ THEN BEGIN MRClassBardNo1
		SAY ~C'mon! Pleeeeeeeease? You're the only one of us who can carry a tune.~
		IF ~InParty("HaerDalis")~ THEN REPLY ~What are you talking about? Haer'Dalis can sing - ask him to do it.~ GOTO MRClassBardHaer
		++ ~Elven or dwarven? Classical or modern? Love song, dirge, sea shanty, folk song...?~ GOTO MRClassBardChoice
		++ ~No! Leave me alone!~ GOTO MRClassBardNo2
	END

	IF ~~ THEN BEGIN MRClassBardHaer
		SAY ~(She groans) Nevermind!~
		=
		~(Glancing back over her shoulder to make sure that the tiefling isn't close enough to hear, she lowers her voice) If I hear one more song about birds, I'll puke.~
		=
		~Silence is fine. We'll just.... walk in silence. Even more.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassBardYou1
		SAY ~What? No! That was a one-night-only performance. Forget it!~
		IF ~~ THEN GOTO MRClassBardNo1
	END

	IF ~~ THEN BEGIN MRClassBardYou2
		SAY ~Uh... how 'bout 'No'? There's a reason you've never heard me sing - 'cause I don't.~
		IF ~~ THEN GOTO MRClassBardNo1
	END

	IF ~~ THEN BEGIN MRClassBardChoice
		SAY ~Gah! Why ya gotta make things so complicated? Just pick somethin' pretty. And nothing sad; I'm in a good mood today. Oh, and it's gotta be in a language I understand. And no hymns! I got sick of those back in Candlekeep.~
		++ ~*I'm* the one making things complicated?~ GOTO MRClassBardComplicated
		++ ~(Sing a rousing sea shanty that you picked up in Brynnlaw.)~ GOTO MRClassBardNice
		++ ~(Sing a funny, if crude, folksong from the Copper Coronet.)~ GOTO MRClassBardNice
		++ ~(Sing a sad song about lost love, despite her request for something happy.)~ GOTO MRClassBardBrat
		++ ~(Sing a melancholy hymn to Ao in an obscure dialect of Celestial.)~ GOTO MRClassBardBrat2
		IF ~InParty("HaerDalis")~ THEN REPLY ~Ask Haer'Dalis. He can sing too, you know.~ GOTO MRClassBardHaer
		IF ~Global("MRCampfireMusic","GLOBAL",4) ~ THEN REPLY ~Why don't you sing? You sang quite well at the campfire.~ GOTO MRClassBardYou1
		IF ~!Global("MRCampfireMusic","GLOBAL",4)~ THEN REPLY ~Why don't you sing? You have a lovely voice.~ GOTO MRClassBardYou2
	END

	IF ~~ THEN BEGIN MRClassBardComplicated
		SAY ~(She glares at you) Look, are ya gonna sing something or not?~
		++ ~(Sing a rousing sea shanty that you picked up in Brynnlaw.)~ GOTO MRClassBardNice
		++ ~(Sing a funny, if crude, folksong from the Copper Coronet.)~ GOTO MRClassBardNice
		++ ~(Sing a sad song about lost love, despite her request for something happy.)~ GOTO MRClassBardBrat
		++ ~(Sing a melancholy hymn to Ao in an obscure dialect of Celestial.)~ GOTO MRClassBardBrat2
		IF ~InParty("HaerDalis")~ THEN REPLY ~Ask Haer'Dalis. He can sing too, you know.~ GOTO MRClassBardHaer
		IF ~Global("MRCampfireMusic","GLOBAL",4)~ THEN REPLY ~Why don't you sing? You sang quite well at the campfire.~ GOTO MRClassBardYou1
		IF ~!Global("MRCampfireMusic","GLOBAL",4) ~ THEN REPLY ~Why don't you sing? You have a lovely voice.~ GOTO MRClassBardYou2
	END	

	IF ~~ THEN BEGIN MRClassBardNice
		SAY ~(She listens intently, and soon is clapping her hands along with the rhythm of the song.)~
		= ~Oh, that's a good one! Hah, I knew I could trust you to liven things up!~
		= ~Entirely too catchy, though. Now I'm gonna have that tune in my head for days!~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassBardBrat
		SAY ~Why d'ya always gotta be such a hobgoblin about things?~
		=
		~(She flips you an obscene gesture and stomps off in a pout.)~
		=
		~See if I ever do *you* a favor again!~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassBardBrat2
		SAY ~(Her face lights up with a smile as you begin to sing, but after only a few lines her expression sinks into a confused frown.)~
		=
		~That doesn't sound very cheerful.~
		=
		~(As you continue the hymn, her confused look slowly transforms into a glare of irritation.)~
		=
		~I'm not stupid, <CHARNAME> - I don't understand a lot of Celestial, but I get the gist of the song.~
		=
		~Why d'ya always gotta be such a hobgoblin about things?~
		=
		~(She flips you an obscene gesture and stomps off in a pout) Jerk!~
		IF ~~ THEN EXIT
	END


	IF ~~ THEN BEGIN MRClassBardWhen
		SAY ~The day we met, duh.~ 
		IF ~~ THEN GOTO MRClassBardNo
	END

	IF ~~ THEN BEGIN MRClassBardNo2
		SAY ~Geez. Who stuck the grumpy-stick up *your* rear?~
		=
		~I'll just entertain myself then. At very least I'm better company.~
		IF ~~ THEN EXIT
	END

/* Thieves */

	IF ~Global("MRClassTalk","LOCALS",0)
	GlobalGT("Chapter","GLOBAL",%bg2_chapter_3%)
	InPartySlot(LastTalkedToBy,0) 
	!StateCheck(Player1,CD_STATE_NOTVALID)
 !StateCheck(Myself,CD_STATE_NOTVALID)
	InParty("Imoen2")
	See(Player1)
	!ActuallyInCombat() 
	OR(5)
	Class(Player1,THIEF)
	Class(Player1,CLERIC_THIEF)
	Class(Player1,MAGE_THIEF)
	Class(Player1,FIGHTER_THIEF)
	Class(Player1,FIGHTER_MAGE_THIEF)~ THEN BEGIN MRClassThief
		SAY ~Sometimes I miss the old days. Back before I started really studyin' magic, I mean.~
		=
		~I used to be so good at sneakin' around and stuff, and now you totally kick my butt at it! It's so not fair!~
		IF ~OR(2) Class(Player1,MAGE_THIEF) Class(Player1,FIGHTER_MAGE_THIEF)~ THEN REPLY ~Well, but you're a better mage than I'll ever be.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassThiefGood
		IF ~!Class(Player1,FIGHTER_MAGE_THIEF) !Class(Player1,MAGE_THIEF) Class(Player1,CLERIC_THIEF)~ THEN REPLY ~Yeah, but you can cast spells. That's much cooler than being a good thief.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassThiefGood
		IF ~Class(Player1,CLERIC_THIEF)~ THEN REPLY ~Yes, but you've mastered the art of the arcane. That is an invaluable talent.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassThiefGood
		++ ~Ah, but I learned all my best tricks from you!~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassThiefGood
		++ ~Maybe, but you're still a great thief. And together, we shall rule the world!~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassThiefGood
		++ ~Damn right I do. You suck.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassThiefSuck
	END

	IF ~~ THEN BEGIN MRClassThiefSuck
		SAY ~That was a hint to give me some compliments, not tell me I suck!~ 
		IF ~OR(2) Class(Player1,MAGE_THIEF) Class(Player1,FIGHTER_MAGE_THIEF)~ THEN REPLY ~Well, you're a better mage than I'll ever be.~ GOTO MRClassThiefGood2
		IF ~!Class(Player1,FIGHTER_MAGE_THIEF) !Class(Player1,MAGE_THIEF) Class(Player1,CLERIC_THIEF)~ THEN REPLY ~You can cast spells! That's much cooler than being a good thief.~ GOTO MRClassThiefGood2
		IF ~Class(Player1,CLERIC_THIEF)~ THEN REPLY ~Imoen, you've mastered the art of the arcane. That is an invaluable talent.~ GOTO MRClassThiefGood2
		++ ~Ah, but you know I learned all my best tricks from you!~ GOTO MRClassThiefGood2
		++ ~You're still a great thief. And together, we shall rule the world!~ GOTO MRClassThiefGood2
		++ ~Sorry. You just suck.~ GOTO MRClassThiefSuck2
	END
END

CHAIN BIMOEN2 MRClassThiefGood
~Aww, how sweet!~
==BIMOEN2 IF ~!Global("ImoenRomanceActive","GLOBAL",2)~ THEN ~(She beams a smile at you) You always know how to make me feel better - even if you're prolly lyin' just to make me happy.~
==BIMOEN2 IF ~ Global("ImoenRomanceActive","GLOBAL",2)~ THEN ~(She beams a smile at you, following it up with a soft kiss to your lips) Keep that up, and you're gonna have a *very* happy girlfriend... and a *very* nice night tonight.~
EXIT

CHAIN BIMOEN2 MRClassThiefGood2
~Aww, how sweet!~
==BIMOEN2 IF ~!Global("ImoenRomanceActive","GLOBAL",2)~ THEN ~(She beams a smile at you) You're such a little liar. But at least you tried... kinda.~
==BIMOEN2 IF ~ Global("ImoenRomanceActive","GLOBAL",2)~ THEN ~(She beams a smile at you, following it up with a soft kiss to your lips) You're such a little liar. Next time try the compliments first, 'kay?~
EXIT

CHAIN BIMOEN2 MRClassThiefSuck2
~Yeesh. Way to rub it all over my face, there. Nevermind I said a anything...~
EXIT

/* Monks */

APPEND BIMOEN2
	IF ~Class(Player1,MONK) Global("MRClassTalk","LOCALS",0)
	InPartySlot(LastTalkedToBy,0) 
	GlobalGT("Chapter","GLOBAL",%bg2_chapter_3%)
	!StateCheck(Player1,CD_STATE_NOTVALID)
 !StateCheck(Myself,CD_STATE_NOTVALID)
	InParty("Imoen2")
	See(Player1)
	!ActuallyInCombat()~ THEN BEGIN MRClassMonk
		SAY ~You are *weird*, y'know that?~
		=
		~Soldier-<PRO_GIRLBOY>s I get - swing a big sword and back it up with fifty pounds of armor just in case they swing back.~
		=
		~And mages I get, obviously. Sure, you don't get to wear platemail, but you can fry the holy heck out of the poor sod from a hundred feet away.~
		=
		~But you? You run around like a mad<PRO_MANWOMAN> *punching* people! No spells, no armor, no sword. Just you, your pants, and a deathwish.~
		IF ~Gender(Player1,FEMALE)!Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~Hey now, that's not true - sometimes I kick people instead! And I usually wear a shirt, too.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassMonkPlay1
		IF ~Gender(Player1,FEMALE) Global("ImoenRomanceActive","GLOBAL",2) ~ THEN REPLY ~Hey now, that's not true - sometimes I kick people instead! And I usually wear a shirt, too.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassMonkPlay2
		IF ~Gender(Player1,MALE) Global("ImoenRomanceActive","GLOBAL",2) ~ THEN REPLY ~Hey now, that's not true - sometimes I kick people instead! And I usually wear a shirt, too.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassMonkPlay3
		IF ~Gender(Player1,FEMALE) !Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~Hey now, that's not true - sometimes I kick people instead! And I usually wear a shirt, too.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassMonkPlay4
		IF ~Gender(Player1,MALE) !Global("ImoenRomanceActive","GLOBAL",2) Global("JaheiraRomanceActive","GLOBAL",2)~ THEN REPLY ~Hey now, that's not true - sometimes I kick people instead! And I usually wear a shirt, too.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassMonkPlay5
		IF ~Gender(Player1,MALE) !Global("ImoenRomanceActive","GLOBAL",2) Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Hey now, that's not true - sometimes I kick people instead! And I usually wear a shirt, too.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassMonkPlay6
		IF ~Gender(Player1,MALE) !Global("ImoenRomanceActive","GLOBAL",2) Global("ViconiaRomanceActive","GLOBAL",2)~ THEN REPLY ~Hey now, that's not true - sometimes I kick people instead! And I usually wear a shirt, too.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassMonkPlay7
		IF ~Gender(Player1,MALE) !Global("ImoenRomanceActive","GLOBAL",2)
			 !Global("JaheiraRomanceActive","GLOBAL",2)
			 !Global("ViconiaRomanceActive","GLOBAL",2)
			 !Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Hey now, that's not true - sometimes I kick people instead! And I usually wear a shirt, too.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassMonkPlay8
		++ ~Swords and magic are external powers. Real strength is found within.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassMonkPower
		++ ~Violence doesn't solve anything. I prefer not to deal with the weapons of war.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassMonkPeace
		++ ~If you have a problem with how I handle things, you should.~ DO ~SetGlobal("MRClassTalk","LOCALS",1)~ GOTO MRClassMonkEvil
	END


	IF ~~ THEN BEGIN MRClassMonkPlay1
	SAY ~Good thing, too! Although ya gotta admit, flouncing around with yer 'charms' hanging out would sure distract the bad guys.~
		IF ~!Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~Maybe you should pay less attention to my chest and more to the rest of the world.~ GOTO MRClassMonkPlayGrump
		IF ~Gender(Player1,MALE)
			OR(4)
			Global("ImoenRomanceActive","GLOBAL",2)
			Global("JaheiraRomanceActive","GLOBAL",2)
			Global("ViconiaRomanceActive","GLOBAL",2)
			Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~What can I say? I'm built like a god.~ GOTO MRClassMonkPlayGod
			 
		IF ~Gender(Player1,FEMALE) 
			OR(2) 
			Global("ImoenRomanceActive","GLOBAL",2)
			Global("AnomenRomanceActive","GLOBAL",2)~ THEN REPLY ~What can I say? I've got the figure of a goddess.~ GOTO MRClassMonkPlayGod
		IF ~Gender(Player1,FEMALE)~ THEN REPLY ~Hrm... that wouldn't be a bad tactic, actually.~ GOTO MRClassMonkPlayTactic
		IF ~Gender(Player1,MALE)
			!Global("ImoenRomanceActive","GLOBAL",2)
			!Global("JaheiraRomanceActive","GLOBAL",2)
			!Global("ViconiaRomanceActive","GLOBAL",2)
			!Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Who needs a girlfriend? I have gold!~ GOTO MRClassMonkPlaySingle
		IF ~Gender(Player1,MALE)
			!Global("ImoenRomanceActive","GLOBAL",2)
			!Global("JaheiraRomanceActive","GLOBAL",2)
			!Global("ViconiaRomanceActive","GLOBAL",2)
			!Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Girlfriend, schmirlfriend. Romance is overrated.~ GOTO MRClassMonkPlaySingle
	END

	IF ~~ THEN BEGIN MRClassMonkPlay2
	SAY ~Good thing, too! Although ya gotta admit, flouncing around with yer 'charms' hanging out would sure distract the bad guys.~
	=~Sure distracts the heck out of me...~
		IF ~!Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~Maybe you should pay less attention to my chest and more to the rest of the world.~ GOTO MRClassMonkPlayGrump
		IF ~Gender(Player1,MALE)
			OR(4)
			Global("ImoenRomanceActive","GLOBAL",2)
			Global("JaheiraRomanceActive","GLOBAL",2)
			Global("ViconiaRomanceActive","GLOBAL",2)
			Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~What can I say? I'm built like a god.~ GOTO MRClassMonkPlayGod
			 
		IF ~Gender(Player1,FEMALE) 
			OR(2) 
			Global("ImoenRomanceActive","GLOBAL",2)
			Global("AnomenRomanceActive","GLOBAL",2)~ THEN REPLY ~What can I say? I've got the figure of a goddess.~ GOTO MRClassMonkPlayGod
		IF ~Gender(Player1,FEMALE)~ THEN REPLY ~Hrm... that wouldn't be a bad tactic, actually.~ GOTO MRClassMonkPlayTactic
		IF ~Gender(Player1,MALE)
			!Global("ImoenRomanceActive","GLOBAL",2)
			!Global("JaheiraRomanceActive","GLOBAL",2)
			!Global("ViconiaRomanceActive","GLOBAL",2)
			!Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Who needs a girlfriend? I have gold!~ GOTO MRClassMonkPlaySingle
		IF ~Gender(Player1,MALE)
			!Global("ImoenRomanceActive","GLOBAL",2)
			!Global("JaheiraRomanceActive","GLOBAL",2)
			!Global("ViconiaRomanceActive","GLOBAL",2)
			!Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Girlfriend, schmirlfriend. Romance is overrated.~ GOTO MRClassMonkPlaySingle
	END

	IF ~~ THEN BEGIN MRClassMonkPlay3
	SAY ~Aw, but then I can't see those glistening muscles of yours!~
		IF ~!Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~Maybe you should pay less attention to my chest and more to the rest of the world.~ GOTO MRClassMonkPlayGrump
		IF ~Gender(Player1,MALE)
			OR(4)
			Global("ImoenRomanceActive","GLOBAL",2)
			Global("JaheiraRomanceActive","GLOBAL",2)
			Global("ViconiaRomanceActive","GLOBAL",2)
			Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~What can I say? I'm built like a god.~ GOTO MRClassMonkPlayGod
			 
		IF ~Gender(Player1,FEMALE) 
			OR(2) 
			Global("ImoenRomanceActive","GLOBAL",2)
			Global("AnomenRomanceActive","GLOBAL",2)~ THEN REPLY ~What can I say? I've got the figure of a goddess.~ GOTO MRClassMonkPlayGod
		IF ~Gender(Player1,FEMALE)~ THEN REPLY ~Hrm... that wouldn't be a bad tactic, actually.~ GOTO MRClassMonkPlayTactic
		IF ~Gender(Player1,MALE)
			!Global("ImoenRomanceActive","GLOBAL",2)
			!Global("JaheiraRomanceActive","GLOBAL",2)
			!Global("ViconiaRomanceActive","GLOBAL",2)
			!Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Who needs a girlfriend? I have gold!~ GOTO MRClassMonkPlaySingle
		IF ~Gender(Player1,MALE)
			!Global("ImoenRomanceActive","GLOBAL",2)
			!Global("JaheiraRomanceActive","GLOBAL",2)
			!Global("ViconiaRomanceActive","GLOBAL",2)
			!Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Girlfriend, schmirlfriend. Romance is overrated.~ GOTO MRClassMonkPlaySingle
	END


	IF ~~ THEN BEGIN MRClassMonkPlay4
	SAY ~Good thing, too! I'm surprised Anomen hasn't tripped over his own feet yet, starin' at you like he does.~
		IF ~!Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~Maybe you should pay less attention to my chest and more to the rest of the world.~ GOTO MRClassMonkPlayGrump
		IF ~Gender(Player1,MALE)
			OR(4)
			Global("ImoenRomanceActive","GLOBAL",2)
			Global("JaheiraRomanceActive","GLOBAL",2)
			Global("ViconiaRomanceActive","GLOBAL",2)
			Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~What can I say? I'm built like a god.~ GOTO MRClassMonkPlayGod
			 
		IF ~Gender(Player1,FEMALE) 
			OR(2) 
			Global("ImoenRomanceActive","GLOBAL",2)
			Global("AnomenRomanceActive","GLOBAL",2)~ THEN REPLY ~What can I say? I've got the figure of a goddess.~ GOTO MRClassMonkPlayGod
		IF ~Gender(Player1,FEMALE)~ THEN REPLY ~Hrm... that wouldn't be a bad tactic, actually.~ GOTO MRClassMonkPlayTactic
		IF ~Gender(Player1,MALE)
			!Global("ImoenRomanceActive","GLOBAL",2)
			!Global("JaheiraRomanceActive","GLOBAL",2)
			!Global("ViconiaRomanceActive","GLOBAL",2)
			!Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Who needs a girlfriend? I have gold!~ GOTO MRClassMonkPlaySingle
		IF ~Gender(Player1,MALE)
			!Global("ImoenRomanceActive","GLOBAL",2)
			!Global("JaheiraRomanceActive","GLOBAL",2)
			!Global("ViconiaRomanceActive","GLOBAL",2)
			!Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Girlfriend, schmirlfriend. Romance is overrated.~ GOTO MRClassMonkPlaySingle
	END

	IF ~~ THEN BEGIN MRClassMonkPlay5
	SAY ~Y'should do that more often - wearin' a shirt, I mean. I'm surprised Jaheira hasn't tripped over her own feet yet, starin' at you like she does.~
		IF ~!Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~Maybe you should pay less attention to my chest and more to the rest of the world.~ GOTO MRClassMonkPlayGrump
		IF ~Gender(Player1,MALE)
			OR(4)
			Global("ImoenRomanceActive","GLOBAL",2)
			Global("JaheiraRomanceActive","GLOBAL",2)
			Global("ViconiaRomanceActive","GLOBAL",2)
			Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~What can I say? I'm built like a god.~ GOTO MRClassMonkPlayGod
			 
		IF ~Gender(Player1,FEMALE) 
			OR(2) 
			Global("ImoenRomanceActive","GLOBAL",2)
			Global("AnomenRomanceActive","GLOBAL",2)~ THEN REPLY ~What can I say? I've got the figure of a goddess.~ GOTO MRClassMonkPlayGod
		IF ~Gender(Player1,FEMALE)~ THEN REPLY ~Hrm... that wouldn't be a bad tactic, actually.~ GOTO MRClassMonkPlayTactic
		IF ~Gender(Player1,MALE)
			!Global("ImoenRomanceActive","GLOBAL",2)
			!Global("JaheiraRomanceActive","GLOBAL",2)
			!Global("ViconiaRomanceActive","GLOBAL",2)
			!Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Who needs a girlfriend? I have gold!~ GOTO MRClassMonkPlaySingle
		IF ~Gender(Player1,MALE)
			!Global("ImoenRomanceActive","GLOBAL",2)
			!Global("JaheiraRomanceActive","GLOBAL",2)
			!Global("ViconiaRomanceActive","GLOBAL",2)
			!Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Girlfriend, schmirlfriend. Romance is overrated.~ GOTO MRClassMonkPlaySingle
	END

	IF ~~ THEN BEGIN MRClassMonkPlay6
	SAY ~Y'should do that more often - wearin' a shirt, I mean. I'm surprised Aerie hasn't tripped over her own feet yet, starin' at you like she does.~
		IF ~!Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~Maybe you should pay less attention to my chest and more to the rest of the world.~ GOTO MRClassMonkPlayGrump
		IF ~Gender(Player1,MALE)
			OR(4)
			Global("ImoenRomanceActive","GLOBAL",2)
			Global("JaheiraRomanceActive","GLOBAL",2)
			Global("ViconiaRomanceActive","GLOBAL",2)
			Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~What can I say? I'm built like a god.~ GOTO MRClassMonkPlayGod
			 
		IF ~Gender(Player1,FEMALE) 
			OR(2) 
			Global("ImoenRomanceActive","GLOBAL",2)
			Global("AnomenRomanceActive","GLOBAL",2)~ THEN REPLY ~What can I say? I've got the figure of a goddess.~ GOTO MRClassMonkPlayGod
		IF ~Gender(Player1,FEMALE)~ THEN REPLY ~Hrm... that wouldn't be a bad tactic, actually.~ GOTO MRClassMonkPlayTactic
		IF ~Gender(Player1,MALE)
			!Global("ImoenRomanceActive","GLOBAL",2)
			!Global("JaheiraRomanceActive","GLOBAL",2)
			!Global("ViconiaRomanceActive","GLOBAL",2)
			!Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Who needs a girlfriend? I have gold!~ GOTO MRClassMonkPlaySingle
		IF ~Gender(Player1,MALE)
			!Global("ImoenRomanceActive","GLOBAL",2)
			!Global("JaheiraRomanceActive","GLOBAL",2)
			!Global("ViconiaRomanceActive","GLOBAL",2)
			!Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Girlfriend, schmirlfriend. Romance is overrated.~ GOTO MRClassMonkPlaySingle
	END

	IF ~~ THEN BEGIN MRClassMonkPlay7
	SAY ~Y'should do that more often - wearin' a shirt, I mean. I'm surprised Viconia hasn't tripped over her own feet yet, starin' at you like she does.~
		IF ~!Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~Maybe you should pay less attention to my chest and more to the rest of the world.~ GOTO MRClassMonkPlayGrump
		IF ~Gender(Player1,MALE)
			OR(4)
			Global("ImoenRomanceActive","GLOBAL",2)
			Global("JaheiraRomanceActive","GLOBAL",2)
			Global("ViconiaRomanceActive","GLOBAL",2)
			Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~What can I say? I'm built like a god.~ GOTO MRClassMonkPlayGod
			 
		IF ~Gender(Player1,FEMALE) 
			OR(2) 
			Global("ImoenRomanceActive","GLOBAL",2)
			Global("AnomenRomanceActive","GLOBAL",2)~ THEN REPLY ~What can I say? I've got the figure of a goddess.~ GOTO MRClassMonkPlayGod
		IF ~Gender(Player1,FEMALE)~ THEN REPLY ~Hrm... that wouldn't be a bad tactic, actually.~ GOTO MRClassMonkPlayTactic
		IF ~Gender(Player1,MALE)
			!Global("ImoenRomanceActive","GLOBAL",2)
			!Global("JaheiraRomanceActive","GLOBAL",2)
			!Global("ViconiaRomanceActive","GLOBAL",2)
			!Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Who needs a girlfriend? I have gold!~ GOTO MRClassMonkPlaySingle
		IF ~Gender(Player1,MALE)
			!Global("ImoenRomanceActive","GLOBAL",2)
			!Global("JaheiraRomanceActive","GLOBAL",2)
			!Global("ViconiaRomanceActive","GLOBAL",2)
			!Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Girlfriend, schmirlfriend. Romance is overrated.~ GOTO MRClassMonkPlaySingle
	END

	IF ~~ THEN BEGIN MRClassMonkPlay8
	SAY ~All those gleamin' muscles and still no girlfriend. Go fig.~
		IF ~!Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~Maybe you should pay less attention to my chest and more to the rest of the world.~ GOTO MRClassMonkPlayGrump
		IF ~Gender(Player1,MALE)
			OR(4)
			Global("ImoenRomanceActive","GLOBAL",2)
			Global("JaheiraRomanceActive","GLOBAL",2)
			Global("ViconiaRomanceActive","GLOBAL",2)
			Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~What can I say? I'm built like a god.~ GOTO MRClassMonkPlayGod
			 
		IF ~Gender(Player1,FEMALE) 
			OR(2) 
			Global("ImoenRomanceActive","GLOBAL",2)
			Global("AnomenRomanceActive","GLOBAL",2)~ THEN REPLY ~What can I say? I've got the figure of a goddess.~ GOTO MRClassMonkPlayGod
		IF ~Gender(Player1,FEMALE)~ THEN REPLY ~Hrm... that wouldn't be a bad tactic, actually.~ GOTO MRClassMonkPlayTactic
		IF ~Gender(Player1,MALE)
			!Global("ImoenRomanceActive","GLOBAL",2)
			!Global("JaheiraRomanceActive","GLOBAL",2)
			!Global("ViconiaRomanceActive","GLOBAL",2)
			!Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Who needs a girlfriend? I have gold!~ GOTO MRClassMonkPlaySingle
		IF ~Gender(Player1,MALE)
			!Global("ImoenRomanceActive","GLOBAL",2)
			!Global("JaheiraRomanceActive","GLOBAL",2)
			!Global("ViconiaRomanceActive","GLOBAL",2)
			!Global("AerieRomanceActive","GLOBAL",2)~ THEN REPLY ~Girlfriend, schmirlfriend. Romance is overrated.~ GOTO MRClassMonkPlaySingle
	END

	IF ~~ THEN BEGIN MRClassMonkPlayGrump
		SAY ~What got *your* britches in a bundle? I was just commentin'. Geez.~ 
		IF ~~ THEN GOTO MRClassMonkEnd1
	END

	IF ~~ THEN BEGIN MRClassMonkPlayGod
		SAY ~(Her lips curve into a grin as she looks you over more thoroughly) Oh yes, yes you do. 'Course, you're technically only half god.~ 
		IF ~~ THEN GOTO MRClassMonkEnd1
	END

	IF ~~ THEN BEGIN MRClassMonkPlayTactic
		SAY ~Well, it's not like you wear armor anyways. Yer gonna need a better bra though.~
		IF ~~ THEN GOTO MRClassMonkEnd1
	END

	IF ~~ THEN BEGIN MRClassMonkPlaySingle
		SAY ~(She rolls her eyes) I always forget you're about as romantic as a slime mold.~
		IF ~~ THEN GOTO MRClassMonkEnd1
	END

	IF ~~ THEN BEGIN MRClassMonkPower
		SAY ~Okay, I can go with that - but since when did inner strength require running into a battle in nothing but your skivvies?~ 
		IF ~~ THEN GOTO MRClassMonkEnd1 
	END

	IF ~~ THEN BEGIN MRClassMonkPeace
		SAY ~(Imoen arches an eyebrow skeptically) Kicking the crap out of someone isn't exactly non-violent.~
		++ ~True, but I only fight in self-defense.~ GOTO MRClassMonkPeace2
		++ ~A fist or a foot is a natural part of you; magic and steel aren't. Those exist only to do harm.~ GOTO MRClassMonkPeace3
		++ ~I... hrm. I hadn't thought of that, actually.~ GOTO MRClassMonk4
		++ ~Violence doesn't solve anything, but some people don't listen to anything else.~ GOTO MRClassMonkPeace5
	END

	IF ~~ THEN BEGIN MRClassMonkPeace2
		SAY ~Self-defense? You? Hah! Like I believe that for a second. You forget, I've known you since we were kids.~ 
		IF ~~ THEN GOTO MRClassMonkEnd1
	END

	IF ~~ THEN BEGIN MRClassMonkPeace3
		SAY ~Hey now! I happen to like magic, you dork - and it is *not* just a tool to do harm.~
		=
		~ You can use magic for protection, too. Or cleaning things up, or transporting things, or playing tricks on people...~
		=
		~ So don't go lumping me in with psychos like Irenicus, and I won't lump you in with Bodhi and her gang.~
		++ ~I'm sorry. I didn't mean it that way.~ GOTO MRClassMonkEnd2Good
		++ ~I'll do whatever I damn well want!~ GOTO MRClassMonkEvil
		++ ~Maybe it's best if we just drop it.~ GOTO MRClassMonkEnd2
	END


	IF ~~ THEN BEGIN MRClassMonk4
		SAY ~(She shakes her head in disbelief) Gods, you are *dense* sometimes! How can you be the child of a god and yet have the intellect of a kobold?~ 
		IF ~~ THEN GOTO MRClassMonkEnd1
	END

	IF ~~ THEN BEGIN MRClassMonkPeace5
		SAY ~So true! An' some people really deserve it. Not that I'm namin' names, of course.~ 
		IF ~~ THEN GOTO MRClassMonkEnd1
	END

	IF ~~ THEN BEGIN MRClassMonkEnd1
		SAY ~I just don't really get it, I guess - the whole punchy-kicky thing, I mean. It seems a lot more dangerous than necessary. Kinda reckless, even.~
		=
		~Dontcha ever think, "Holy Helm, I'm going up against a dragon with nothing but my hands?"~
		++ ~Psht. Nothing scares me.~ GOTO MRClassMonkEndTough
		++ ~Of course. Courage isn't lack of fear; courage is acting despite your fear.~ GOTO MRClassMonkEndWise
		IF ~NumInPartyGT(2)~ THEN REPLY ~Yeah, but as long as I've got you guys to back me up, I can conquer anything.~ GOTO MRClassMonkEndSweet
		IF ~NumInParty(2)~ THEN REPLY ~Yeah, but as long as I've got you to back me up, I can conquer anything.~ GOTO MRClassMonkEndSweet
	END

	IF ~~ THEN BEGIN MRClassMonkEndSweet
		SAY ~For bein' such a gully dwarf, you sure can be a charmer when you wanna be.~ 
		IF ~~ THEN GOTO MRClassMonkEndSweetExit
	END

	IF ~~ THEN BEGIN MRClassMonkEndSweetExit
		SAY ~Guess I'll forgive you for runnin' around half-naked then. C'mon, nature-<PRO_GIRLBOY>, let's get going.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassMonkEndWise
		SAY ~True... courage ends up getting a lot of good people killed.~
		=
		~Meh. Let's do one of those 'comfortable silence' things. Not feelin' like talking anymore...~
	IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRClassMonkEndTough
		SAY ~Well something ought to. Yer gonna get yourself - or someone else - killed if you just run willy-nilly into a fight.~
		=
		~Meh. Let's do one of those 'comfortable silence' things. Not feelin' like talking anymore...~
	IF ~~ THEN EXIT
	END


	IF ~~ THEN BEGIN MRClassMonkEnd2Good
		SAY ~Well good, 'cause if you did, I'd hafta whack you.~ 
		IF ~~ THEN GOTO MRClassMonkEnd1
	END

	IF ~~ THEN BEGIN MRClassMonkEnd2
		SAY ~Hmph. Yeah, let's do that 'fore ya make another silly comment.~
		IF ~~ THEN EXIT
	END


	IF ~~ THEN BEGIN MRClassMonkEvil
		SAY ~Well excuuuuuuse me, <PRO_LADYLORD> Grumpyguts. Just keep punchin' people, see if I care. (She sticks out her tongue at you and walks away.)~
		IF ~~ THEN EXIT
	END
END

